Bug 1390927 - Make katello-remove aware of Puppet4
Summary: Make katello-remove aware of Puppet4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Backup & Restore
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: Christine Fouant
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-02 09:21 UTC by Lukas Pramuk
Modified: 2019-09-26 14:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:49:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 18118 0 None None None 2017-01-17 21:23:49 UTC

Description Lukas Pramuk 2016-11-02 09:21:57 UTC
Description of problem:

Puppet4 files live in different locations than for Puppet3.
This tools needs changes to be able to handle them.

Expected result:
katello-remove should remove puppet4 files too.

Comment 1 Lukas Pramuk 2016-11-02 09:24:58 UTC
Puppet3 /etc/puppet and /var/lib/puppet need their puppet4 equivalents

Comment 4 Christine Fouant 2017-01-17 21:23:48 UTC
Created redmine issue http://projects.theforeman.org/issues/18118 from this bug

Comment 5 Satellite Program 2017-01-24 21:08:15 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18118 has been resolved.

Comment 6 Lukas Pramuk 2017-08-08 13:05:47 UTC
VERIFIED.

@satellite-6.3.0-16.0.beta.el7sat.noarch
katello-common-3.4.4-2.el7sat.noarch

by manual reproducer:

1. Install Satellite with Puppet4

2. Run katello-remove

3. Check for puppet4 presence

# ll /etc/puppetlabs
ls: cannot access /etc/puppetlabs: No such file or directory

# rpm -qa puppet*
<none>

>>> katello-remove removes puppet4 bits and configs too

Comment 7 Satellite Program 2018-02-21 16:49:54 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.